# Class CIM_SwitchPortDynamicForwarding
extends CIM_Dependency

This association links a DynamicForwardingEntry and the SwitchPort to which the entry applies.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SwitchPortDynamicForwarding

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association links a DynamicForwardingEntry and the SwitchPort to which the entry applies.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SwitchPortDynamicForwarding | CIM_SwitchPort
Dependent | CIM_SwitchPortDynamicForwarding | CIM_DynamicForwardingEntry

## Class Methods